DefaultTrackingModifiedEntitiesRevisionEntity (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers
Class DefaultTrackingModifiedEntitiesRevisionEntity

    java.lang.Object
      org.hibernate.envers.DefaultRevisionEntity
          org.hibernate.envers.DefaultTrackingModifiedEntitiesRevisionEntity

All Implemented Interfaces:
  Serializable

    @MappedSuperclass
    public class DefaultTrackingModifiedEntitiesRevisionEntity

extends DefaultRevisionEntity

Extension of standard `DefaultRevisionEntity` that allows tracking entity names changed in each revision. This revision entity is implicitly used when `org.hibernate.envers.track_entities_changed_in_revision` parameter is set to `true`.

See Also:
  Serialized Form

Constructor Summary
`DefaultTrackingModifiedEntitiesRevisionEntity()`

Method Summary
`boolean` | `equals(Object o)`
`Set<String>` | `getModifiedEntityNames()`
`int` | `hashCode()`
`void` | `setModifiedEntityNames(Set<String> modifiedEntityNames)`
`String` | `toString()`

Methods inherited from class org.hibernate.envers.DefaultRevisionEntity
`getId, getRevisionDate, getTimestamp, setId, setTimestamp`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultTrackingModifiedEntitiesRevisionEntity

    public DefaultTrackingModifiedEntitiesRevisionEntity()

Method Detail

### getModifiedEntityNames

    public Set<String> getModifiedEntityNames()

### setModifiedEntityNames

    public void setModifiedEntityNames(Set<String> modifiedEntityNames)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `DefaultRevisionEntity`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `DefaultRevisionEntity`

### toString

    public String toString()

  Overrides:
    `toString` in class `DefaultRevisionEntity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.